Bug 605311 - condor_schedd double free on SOAP transaction timeout
condor_schedd double free on SOAP transaction timeout
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor (Show other bugs)
1.2
All Linux
low Severity medium
: 1.3
: ---
Assigned To: Matthew Farrellee
Lubos Trilety
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-17 11:55 EDT by Matthew Farrellee
Modified: 2010-10-14 11:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Running a 'condor_schedd' job scheduler with SOAP (Simple Object Access Protocol) enabled and starting a SOAP transaction resulted in a crash of 'condor_shedd'. With this update, SOAP transactions no longer cause the aforementioned crash.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 11:57:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0773 normal SHIPPED_LIVE Moderate: Red Hat Enterprise MRG Messaging and Grid Version 1.3 2010-10-14 11:56:44 EDT

  None (edit)
Description Matthew Farrellee 2010-06-17 11:55:56 EDT
Description of problem:

The stack trace is not consistent because it is the result of corrupted memory. However, it often follows,

 SOAP entered abortTransaction(), transaction: 1234
 ...
 SOAP leaving abortTransaction() result=0

with D_FULLDEBUG.


How reproducible:

100%


Steps to Reproduce:
1. run a schedd with soap enabled
2. start a soap transaction

  
Actual results:

condor_schedd SEGV


Expected results:

no SEGV


Additional info:

Condor's SOAP testsuite (SubmitExpireTest) should reproduce.
Comment 1 Matthew Farrellee 2010-06-17 12:07:20 EDT
Fixed post 7.4.3-0.19, upstream #1463
Comment 2 Lubos Trilety 2010-06-30 03:50:45 EDT
Tested with (version):
condor-7.4.3-0.21

Tested on:
RHEL5 i386    - passed
RHEL5 x86_64  - passed
RHEL4 i386    - passed
RHEL4 x86_64  - passed

>>> VERIFIED
Comment 3 Martin Prpič 2010-10-07 11:50:44 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Running a 'condor_schedd' job scheduler with SOAP (Simple Object Access Protocol) enabled and starting a SOAP transaction resulted in a crash of 'condor_shedd'. With this update, SOAP transactions no longer cause the aforementioned crash.
Comment 5 errata-xmlrpc 2010-10-14 11:57:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.